#delimit ;
set more off;

** Need to create a dataset with ID IDC week and cagewk==0 in one case and 
save it as "My Statistics\childagewk.dta" to get the ball rolling;


input ID IDC week cagewk;
0 0 0 0;
end;
	save "My Statistics\childagewk.dta", replace;


** Now starting from child number 10 and working backwards, create a file
with weekly information on each child's age (childagewk.dta).  Work back
from 10 so that we minimise the space used - a reshape command would mean every woman,
even those with only one child, would be given 10 children, taking up huge amounts of space.;

local i = 10;

while `i'>=1{;
	di `i';
	use "My Statistics\childbirthdateswide.dta", clear;
	mvencode IDC`i', mv(-100);
	drop if IDC`i'==-100;
	rename anykids k`i';
	keep ID IDC`i' WOBC`i' k`i';
	append using "My Statistics\womenwithkids.dta";
	egen kids`i' = max(k`i'), by(ID);
	sum ID if kids`i'==1;
	drop if kids`i'~=1;
	egen IDC = max(IDC`i'), by(ID);
	drop IDC`i';
	egen WOBC = max(WOBC`i'), by(ID);
	drop WOBC`i';
	gen cagewk = week-WOBC;
	drop WOBC;
	mvencode week, mv(-100);
	drop if week==-100;
	keep ID week IDC cagewk;	
	sort ID IDC week;
	append using "My Statistics\childagewk.dta";
	save "My Statistics\childagewk.dta", replace;
	local i = `i'-1;
};

drop if ID==0;

sort ID IDC week;
compress;
save "My Statistics\childagewk.dta", replace;
