#delimit ;
set more off;
cd "E:\RA\NLSY\FINAL_FILES\";

use "My Statistics\experienceav_byage.dta", clear;
gen F=1 if SAMP>=5;
replace F=0 if F~=1;


** Replicate Table 5  Accumulated experience at age 40;
** Have to divide EXP1 by 52 and EXP7 by (40*52);

sort F;
by F: sum EXP1 EXP7 if age==40;
sort everk;
by everk: sum EXP1 EXP7 if F==1 & age==40;


sort F a1;
by F a1: sum EXP1;
by F a1: sum EXP2;
by F a1: sum EXP3;
by F a1: sum EXP4;
by F a1: sum EXP5;
by F a1: sum EXP6;
by F a1: sum EXP7;

sort a1 ay;
by a1 ay: sum EXP1 if EXP1~=-5& age>=20;
by a1 ay: sum EXP2 if EXP2~=-5& age>=20;
by a1 ay: sum EXP3 if EXP3~=-5& age>=20;
by a1 ay: sum EXP4 if EXP4~=-5& age>=20;
by a1 ay: sum EXP5 if EXP5~=-5& age>=20;
by a1 ay: sum EXP6 if EXP6~=-5& age>=20;
by a1 ay: sum EXP7 if EXP7~=-5& age>=20;

sort a1 nku6;
by a1 nku6: sum EXP1 if EXP1~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP2 if EXP2~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP3 if EXP3~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP4 if EXP4~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP5 if EXP5~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP6 if EXP6~=-5& age>=20 & SAMP>4;
by a1 nku6: sum EXP7 if EXP7~=-5& age>=20 & SAMP>4;

sort a1 nku18;
by a1 nku18: sum EXP1 if EXP1~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP2 if EXP2~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP3 if EXP3~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP4 if EXP4~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP5 if EXP5~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP6 if EXP6~=-5& age>=20 & SAMP>4;
by a1 nku18: sum EXP7 if EXP7~=-5& age>=20 & SAMP>4;

sort a1 everk;
by a1 everk: sum EXP1 if EXP1~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP2 if EXP2~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP3 if EXP3~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP4 if EXP4~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP5 if EXP5~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP6 if EXP6~=-5& age>=20 & SAMP>4;
by a1 everk: sum EXP7 if EXP7~=-5& age>=20 & SAMP>4;


sort ID age;
save "My Statistics\experienceav_byage.dta", replace;

use "My Statistics\_annualfile.dta", clear;

sort ID age;
merge (ID age) using "My Statistics\experienceav_byage.dta";
tab _merge;
sort ID age;

keep if age==40;

mvencode marst, mv(-999);
drop if marst == -999;
tab age;

gen type = 1 if F==0 & marst==0;
replace type = 2 if F==0 & marst~=0;
replace type = 3 if F==1 & marst== 0 & nkborn==0;
replace type = 4 if F==1 & marst== 0 & nkborn>0;
replace type = 5 if F==1 & marst~=0 & nkborn ==0;
replace type = 6 if F==1 & marst~=0 & nkborn>0;

label define typev 1 "M, never married" 2 "M, married" 3 "F, never married no kids" 4 "F, never married, kids" 
	5 "F, married, no kids" 6 "F, married, kids";
label values type typev;
sort type;
tab type;

by type: tabstat EXP1 EXP2 EXP3 EXP4 EXP5 EXP6 EXP7 marst if marst>=0, s(mean min max p50 p5 p95 sd count);

gen type1 = 1 if F==0 & (marst==0|marst==2|marst==3|marst==6);
replace type1 = 2 if F==0 & marst==1;
replace type1 = 3 if F==1 & (marst==0|marst==2|marst==3|marst==6) & nkborn==0;
replace type1 = 4 if F==1 & (marst==0|marst==2|marst==3|marst==6) & nkborn>0;
replace type1 = 5 if F==1 & marst==1 & nkborn ==0;
replace type1 = 6 if F==1 & marst==1 & nkborn>0;
label define type1v 1 "M, not married" 2 "M, married" 3 "F, not married no kids" 4 "F, not married, kids" 
	5 "F, married, no kids" 6 "F, married, kids";
label values type1 type1v;

sort type1;
tab type1;

by type1: tabstat EXP1 EXP2 EXP3 EXP4 EXP5 EXP6 EXP7 marst, s(mean min max p50 p5 p95 sd count);

sort ID age;
gen b = 1;
by ID age: gen b1 = sum(b);
drop if b1~=1;
drop b b1;
sort type;
by type: tabstat EXP1 EXP2 EXP3 EXP4 EXP5 EXP6 EXP7 marst if marst>=0, s(mean min max p50 p5 p95 sd count);
sort type1;
by type1: tabstat EXP1 EXP2 EXP3 EXP4 EXP5 EXP6 EXP7 marst if marst>=0, s(mean min max p50 p5 p95 sd count);






log close;



