#delimit ;
set more off;

cd "E:\RA\NLSY\FINAL_FILES\";

**************************************************************************
**    This file calculates a weekly hours worked and rates of pay file  **
**	Subroutine for hrp_averages and do _hrp_statistics.do			**
**************************************************************************
** Input files:  										**
**               	_respondent.dta							**
**			_jobfile.dta							**
**			_weeklyfile2_men							**
**												**
** Output files: 	weekly_j1to5_hrs.dta  (unnecessary?)			**
**			weekly_j1to5_hrs_men/women.dta				**
**			weekly_hrp_men/women.dta					**
**												**	
**												**
**												**
**												**
**												**
**												**
**************************************************************************;



******************************************************************;

	use "My Statistics\_weeklyfile2_men.dta", clear;


** For each job, merge with the job file, and save in new file;
** JOB NUMBER 1;
	keep ID SAMP week J1;
	rename J1 JOB;
	sort ID JOB;
	merge (ID JOB) using "My Statistics\_jobfile.dta";

	** Should only be an incomplete merge for cases where job is never main job;

	tab _merge;
	drop _merge;

	keep if SAMP==1|SAMP==2|SAMP==3|SAMP==4;
	keep ID SAMP week HRS JOB;
	rename JOB WJN1;
	rename HRS WHJ1;
	mvencode WHJ1, mv(-100);
	replace WHJ1 = -100 if WHJ1<0;

	mvencode week, mv(-100);
	drop if week==-100;
	compress;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;
	sum ID week;

** JOB NUMBER 2;
	use "My Statistics\_weeklyfile2_men.dta", clear;
	keep ID SAMP week J2;
	rename J2 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;

	keep if SAMP==1|SAMP==2|SAMP==3|SAMP==4;
	keep ID SAMP week HRS JOB;
	mvencode week, mv(-100);
	drop if week==-100;
	rename JOB WJN2;
	rename HRS WHJ2;
	mvencode WHJ2, mv(-100);
	replace WHJ2 = -100 if WHJ2<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
		sum ID week;

	tab _merge;
	drop if _merge~=3;
	drop _merge;
	compress;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;
	sum ID week;


** JOB NUMBER 3;
	use "My Statistics\_weeklyfile2_men.dta", clear;
	keep ID SAMP week J3;
	rename J3 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;

	keep if SAMP==1|SAMP==2|SAMP==3|SAMP==4;
	keep ID SAMP week HRS JOB;
	mvencode week, mv(-100);
	drop if week==-100;

	rename JOB WJN3;
	rename HRS WHJ3;
	mvencode WHJ3, mv(-100);
	replace WHJ3 = -100 if WHJ3<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop if _merge~=3;

	drop _merge;
	compress;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;
	sum ID week;


** JOB NUMBER 4;
	use "My Statistics\_weeklyfile2_men.dta", clear;
	keep ID SAMP week J4;
	rename J4 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;

	keep if SAMP==1|SAMP==2|SAMP==3|SAMP==4;
	keep ID SAMP week HRS JOB;
	mvencode week, mv(-100);
	drop if week==-100;

	rename JOB WJN4;
	rename HRS WHJ4;
	mvencode WHJ4, mv(-100);
	replace WHJ4 = -100 if WHJ4<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop if _merge~=3;

	drop _merge;
	compress;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;
	sum ID week;

** JOB NUMBER 5;
	use "My Statistics\_weeklyfile2_men.dta", clear;
	keep ID SAMP week J5;
	rename J5 JOB ;
	sort ID JOB ;
	merge (ID JOB) using "My Statistics\_jobfile.dta";
	tab _merge;

	keep if SAMP==1|SAMP==2|SAMP==3|SAMP==4;
	keep ID SAMP week HRS JOB;
	mvencode week, mv(-100);
	drop if week==-100;

	rename JOB WJN5;
	rename HRS WHJ5;
	mvencode WHJ5, mv(-100);
	replace WHJ5 = -100 if WHJ5<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop if _merge~=3;

	drop _merge;
	compress;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** Identify job number in each week for job with the most hours;


gen JOB = WJN5 if WHJ5>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN4 if WHJ4>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN3 if WHJ3>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN2 if WHJ2>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN1 if WHJ1>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
label var JOB "Annual job number of job with highest hours in given week";

gen mhrs = WHJ5 if WHJ5>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ4 if WHJ4>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ3 if WHJ3>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ2 if WHJ2>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ1 if WHJ1>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
label var mhrs "Weekly hours of job with highest hours in given week";

gen IND = 1 if WHJ1<0;
replace IND = 2 if WHJ2<0;
replace IND = 3 if WHJ3<0;
replace IND = 4 if WHJ4<0;
replace IND = 5 if WHJ5<0;
label var IND "Indicator for MV(job number i)";

replace WHJ1 = 0 if WHJ1<0;
replace WHJ2 = 0 if WHJ2<0;
replace WHJ3 = 0 if WHJ3<0;
replace WHJ4 = 0 if WHJ4<0;
replace WHJ5 = 0 if WHJ5<0;

gen thrs = WHJ1 + WHJ2 + WHJ3 + WHJ4 + WHJ5;
replace WHJ1 = -4 if IND == 1;
replace WHJ2 = -4 if IND == 2;
replace WHJ3 = -4 if IND == 3;
replace WHJ4 = -4 if IND == 4;
replace WHJ5 = -4 if IND == 5;


	save "My Statistics\weekly_j1to5_hrs_men.dta", replace;

keep JOB mhrs thrs IND ID week SAMP;

	sort ID JOB;
	save "My Statistics\weekly_hrp_men.dta", replace;




















*  Now figuring out for each job and individual how many hours they worked per week in each;
	use "My Statistics\_weeklyfile2_women.dta", clear;

** For each job, merge with the hours by job file, and save in new file;
** JOB NUMBER 1;
	keep ID SAMP week J1;
	rename J1 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;
	mvencode week, mv(-100);
	drop if week==-100;

	keep if SAMP==5|SAMP==6|SAMP==7|SAMP==8;
	keep ID SAMP week HRS JOB;
	rename JOB WJN1;
	rename HRS WHJ1;
	mvencode WHJ1, mv(-100);
	replace WHJ1 = -100 if WHJ1<0;

	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** JOB NUMBER 2;
	use "My Statistics\_weeklyfile2_women.dta", clear;
	keep ID SAMP week J2;
	rename J2 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;
	mvencode week, mv(-100);
	drop if week==-100;

	keep if SAMP==5|SAMP==6|SAMP==7|SAMP==8;
	keep ID SAMP week HRS JOB;
	rename JOB WJN2;
	rename HRS WHJ2;
	mvencode WHJ2, mv(-100);
	replace WHJ2 = -100 if WHJ2<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop _merge;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** JOB NUMBER 3;
	use "My Statistics\_weeklyfile2_women.dta", clear;
	keep ID SAMP week J3;
	rename J3 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;
	mvencode week, mv(-100);
	drop if week==-100;

	keep if SAMP==5|SAMP==6|SAMP==7|SAMP==8;
	keep ID SAMP week HRS JOB;
	rename JOB WJN3;
	rename HRS WHJ3;
	mvencode WHJ3, mv(-100);
	replace WHJ3 = -100 if WHJ3<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop _merge;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** JOB NUMBER 4;
	use "My Statistics\_weeklyfile2_women.dta", clear;
	keep ID SAMP week J4;
	rename J4 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;
	mvencode week, mv(-100);
	drop if week==-100;

	keep if SAMP==5|SAMP==6|SAMP==7|SAMP==8;
	keep ID SAMP week HRS JOB;
	rename JOB WJN4;
	rename HRS WHJ4;
	mvencode WHJ4, mv(-100);
	replace WHJ4 = -100 if WHJ4<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop _merge;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** JOB NUMBER 5;
	use "My Statistics\_weeklyfile2_women.dta", clear;
	keep ID SAMP week J5;
	rename J5 JOB ;
	sort ID JOB ;
	merge (ID JOB ) using "My Statistics\_jobfile.dta";
	tab _merge;
	mvencode week, mv(-100);
	drop if week==-100;

	keep if SAMP==5|SAMP==6|SAMP==7|SAMP==8;
	keep ID SAMP week HRS JOB;
	rename JOB WJN5;
	rename HRS WHJ5;
	mvencode WHJ5, mv(-100);
	replace WHJ5 = -100 if WHJ5<0;

	sort ID week;
	merge (ID week) using "My Statistics\weekly_j1to5_hrs.dta";
	tab _merge;
	drop _merge;
	sort ID week;
	save "My Statistics\weekly_j1to5_hrs.dta", replace;

** Identify job number in each week for job with the most hours;

gen JOB = WJN5 if WHJ5>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN4 if WHJ4>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN3 if WHJ3>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN2 if WHJ2>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace JOB = WJN1 if WHJ1>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
label var JOB "Annual job number of job with highest hours in given week";

gen mhrs = WHJ5 if WHJ5>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ4 if WHJ4>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ3 if WHJ3>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ2 if WHJ2>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
replace mhrs = WHJ1 if WHJ1>=max(WHJ1, WHJ2, WHJ3, WHJ4, WHJ5);
label var mhrs "Weekly hours of job with highest hours in given week";

gen IND = 1 if WHJ1<0;
replace IND = 2 if WHJ2<0;
replace IND = 3 if WHJ3<0;
replace IND = 4 if WHJ4<0;
replace IND = 5 if WHJ5<0;
label var IND "Indicator for MV(job number i)";

replace WHJ1 = 0 if WHJ1<0;
replace WHJ2 = 0 if WHJ2<0;
replace WHJ3 = 0 if WHJ3<0;
replace WHJ4 = 0 if WHJ4<0;
replace WHJ5 = 0 if WHJ5<0;

gen thrs = WHJ1 + WHJ2 + WHJ3 + WHJ4 + WHJ5;
replace WHJ1 = -4 if IND == 1;
replace WHJ2 = -4 if IND == 2;
replace WHJ3 = -4 if IND == 3;
replace WHJ4 = -4 if IND == 4;
replace WHJ5 = -4 if IND == 5;


	save "My Statistics\weekly_j1to5_hrs_women.dta", replace;

keep JOB mhrs thrs IND ID week SAMP;

	sort ID JOB;
	save "My Statistics\weekly_hrp_women.dta", replace;



